Bug 34887 - Merge Patron.t into t/db/Koha/Patron.t
Summary: Merge Patron.t into t/db/Koha/Patron.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: Main
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 34336
  Show dependency treegraph
 
Reported: 2023-09-22 13:53 UTC by Marcel de Rooy
Modified: 2024-07-04 20:40 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.11.00,23.05.05,22.11.11


Attachments
Bug 34887: Remove Test::DBIx::Class from Patron.t (41.77 KB, patch)
2023-09-23 07:14 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 34887: Fix transactions in db dependent Patron.t (2.44 KB, patch)
2023-09-23 07:14 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 34887: Merge with db_dependent Patron.t (43.27 KB, patch)
2023-09-23 07:14 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 34887: Remove Test::DBIx::Class from Patron.t (41.74 KB, patch)
2023-09-26 09:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 34887: Fix transactions in db dependent Patron.t (2.41 KB, patch)
2023-09-26 09:57 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 34887: Merge with db_dependent Patron.t (43.51 KB, patch)
2023-09-26 09:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2023-09-22 13:53:52 UTC
Part of Test::DBIx::Class removal.
Note that these tests are so trivial that you could be tempted to remove them all together..
Comment 1 Marcel de Rooy 2023-09-23 07:14:06 UTC
Created attachment 156128 [details] [review]
Bug 34887: Remove Test::DBIx::Class from Patron.t

Moving all tests into one subtest with two underlying
subtests for checking accessors after new or set.
This will make it more easy to merge with the db
dependent counterpart.

Test plan:
Run t/Patron.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Marcel de Rooy 2023-09-23 07:14:09 UTC
Created attachment 156129 [details] [review]
Bug 34887: Fix transactions in db dependent Patron.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Marcel de Rooy 2023-09-23 07:14:11 UTC
Created attachment 156130 [details] [review]
Bug 34887: Merge with db_dependent Patron.t

Test plan:
Run t/db_dependent/Koha/Patron.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2023-09-23 07:14:41 UTC
Moving to SO. Trivial exercise. Run the test !
Comment 5 Jonathan Druart 2023-09-26 09:57:38 UTC
Created attachment 156207 [details] [review]
Bug 34887: Remove Test::DBIx::Class from Patron.t

Moving all tests into one subtest with two underlying
subtests for checking accessors after new or set.
This will make it more easy to merge with the db
dependent counterpart.

Test plan:
Run t/Patron.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Jonathan Druart 2023-09-26 09:57:41 UTC
Created attachment 156208 [details] [review]
Bug 34887: Fix transactions in db dependent Patron.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Jonathan Druart 2023-09-26 09:57:43 UTC
Created attachment 156209 [details] [review]
Bug 34887: Merge with db_dependent Patron.t

Test plan:
Run t/db_dependent/Koha/Patron.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

JD amended patch: Fixed QA failures
 FAIL   t/db_dependent/Koha/Patron.t
   FAIL   spelling
                 personnal ==> personal
                 personnal ==> personal
                 personnal ==> personal
                 personnal ==> personal
   WARN   tidiness
                The file is less tidy than before (bad/messy lines before: 361, now: 382)
Comment 8 Tomás Cohen Arazi 2023-10-04 13:33:43 UTC
Pushed to master for 23.11.

Nice work everyone, thanks!
Comment 9 Fridolin Somers 2023-10-05 20:12:03 UTC
Pushed to 23.05.x for 23.05.05
Comment 10 Matt Blenkinsop 2023-10-17 17:12:01 UTC
Nice work everyone!

Pushed to oldstable for 22.11.x